Sign inGet started

Members

GET
/organizations/{organizationId}/teams/{teamId}/members
List the members of the team.
Parametri di query
limit
integer
Limits the number of results to return.
reverse
boolean
Reverses the order in which the results are returned.
pageToken
string
The cursor that keeps track of the current position in the results.
status
string
Possible values: active, invited, requested-to-join
Payload della risposta
results
array of object
Mostra attributi secondari
results.id
string
obbligatorio
results.type
string
obbligatorio
Possible values: user
results.status
string
obbligatorio
Possible values: active, invited, requested-to-join
results.createdAt
string
obbligatorio
results.updatedAt
string
obbligatorio
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
Esempio di codice
curl -X GET 'https://api.bird.com/organizations/{organizationId}/teams/{teamId}/members' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
POST
/organizations/{organizationId}/teams/{teamId}/members
Add a member to the team.
Payload della richiesta
type
string
obbligatorio
Possible values: user
id
string
obbligatorio
Payload della risposta
results
array of object
Mostra attributi secondari
results.id
string
obbligatorio
results.type
string
obbligatorio
Possible values: user
results.status
string
obbligatorio
Possible values: active, invited, requested-to-join
results.createdAt
string
obbligatorio
results.updatedAt
string
obbligatorio
Esempio di codice
curl -X POST 'https://api.bird.com/organizations/{organizationId}/teams/{teamId}/members' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/organizations/{organizationId}/teams/{teamId}/members/{teamMemberId}
Retrieve a single team member.
Payload della risposta
id
string
obbligatorio
type
string
obbligatorio
Possible values: user
status
string
obbligatorio
Possible values: active, invited, requested-to-join
createdAt
string
obbligatorio
updatedAt
string
obbligatorio
Esempio di codice
curl -X GET 'https://api.bird.com/organizations/{organizationId}/teams/{teamId}/members/{teamMemberId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
DELETE
/organizations/{organizationId}/teams/{teamId}/members/{teamMemberId}
Remove a member from a team.
Esempio di codice
curl -X DELETE 'https://api.bird.com/organizations/{organizationId}/teams/{teamId}/members/{teamMemberId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'